module AR
  module Game

    class AR_OBJECT_NAME < Scene
      def initialize id=nil
        super 

        self.noun = "scene"

        add_story_implement StoryImplement.new
      end


      class Story < AR::Game::StoryBehavior::Story
      end

      class StoryImplement < AR::Game::StoryBehavior::StoryImplement
        def initialize stories=[]
          super

          story =  Story.new when: AR::Events::ARObjectEnteredInhabitableEvent, as: "inhabitable" do |e|
            if e.enterer == e.engine.world.player
              ret = "[describe impressions as you enter...]"
            else 
              ret = ""
            end
            ret 
          end
          add_story story

          story =  Story.new when: AR::Events::DiscoverableInspectedEvent, as: "discoverable" do |e|
            if e.inspector == e.engine.world.player
              ret = "[describe how the surrounding look when you inspect them]"
            else 
              ret = ""
            end
            ret 
          end
          add_story story

        end
      end
    end




  end
end
